> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/workspace/calendar/api/v3/reference/calendarList/patch#auth).

Updates an existing calendar on the user's calendar list. This method supports patch semantics. Note that each patch request consumes three quota units; prefer using a `get` followed by an `update`. The field values you specify replace the existing values. Fields that you don't specify in the request remain unchanged. Array fields, if specified, overwrite the existing arrays; this discards any previous array elements.
[Try it now](https://developers.google.com/workspace/calendar/api/v3/reference/calendarList/patch#try-it).

## Request

### HTTP request

```
PATCH https://www.googleapis.com/calendar/v3/users/me/calendarList/calendarId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `calendarId` | `string` | Calendar identifier. To retrieve calendar IDs call the [calendarList.list](https://developers.google.com/workspace/calendar/api/v3/reference/calendarList/list) method. If you want to access the primary calendar of the currently logged in user, use the "`primary`" keyword. |
| **Optional query parameters** |||
| `colorRgbFormat` | `boolean` | Whether to use the `foregroundColor` and `backgroundColor` fields to write the calendar colors (RGB). If this feature is used, the index-based `colorId` field will be set to the best matching option automatically. Optional. The default is False. |

### Authorization

This request requires authorization with at least one of the following scopes:

| Scope |
|---|
| `https://www.googleapis.com/auth/calendar` |
| `https://www.googleapis.com/auth/calendar.app.created` |
| `https://www.googleapis.com/auth/calendar.calendarlist` |

For more information, see the [authentication and authorization](https://developers.google.com/workspace/guides/configure-oauth-consent) page.

### Request body

In the request body, supply the relevant portions of a [CalendarList resource](https://developers.google.com/workspace/calendar/api/v3/reference/calendarList#resource), according to the rules of patch semantics.

## Response

If successful, this method returns a [CalendarList resource](https://developers.google.com/workspace/calendar/api/v3/reference/calendarList#resource) in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.